Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.yom
Class YOMReader

    java.lang.Object
      org.codehaus.xfire.aegis.AbstractMessageReader
          org.codehaus.xfire.aegis.yom.YOMReader

All Implemented Interfaces:
  MessageReader

    public class YOMReader

extends AbstractMessageReader
implements MessageReader

Constructor Summary
`YOMReader(org.codehaus.yom.Element element)`

Method Summary
`java.lang.String` | `getLocalName()` Get the local name of the element this reader represents.
`javax.xml.namespace.QName` | `getName()`
`java.lang.String` | `getNamespace()`
`MessageReader` | `getNextAttributeReader()`
`MessageReader` | `getNextElementReader()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getValue(java.lang.String ns, java.lang.String attr)`
`javax.xml.stream.XMLStreamReader` | `getXMLStreamReader()`
`boolean` | `hasMoreAttributeReaders()`
`boolean` | `hasMoreElementReaders()`

Methods inherited from class org.codehaus.xfire.aegis.AbstractMessageReader
`getValueAsBoolean, getValueAsDouble, getValueAsFloat, getValueAsInt, getValueAsLong, hasValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.aegis.MessageReader
`getValueAsBoolean, getValueAsDouble, getValueAsFloat, getValueAsInt, getValueAsLong`

Constructor Detail

### YOMReader

    public YOMReader(org.codehaus.yom.Element element)

Method Detail

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `MessageReader`

### getValue

    public java.lang.String getValue(java.lang.String ns,
                                     java.lang.String attr)

### hasMoreElementReaders

    public boolean hasMoreElementReaders()

  Specified by:
    `hasMoreElementReaders` in interface `MessageReader`

### getNextElementReader

    public MessageReader getNextElementReader()

  Specified by:
    `getNextElementReader` in interface `MessageReader`

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `MessageReader`

### getLocalName

    public java.lang.String getLocalName()

  Description copied from interface: `MessageReader`
  Get the local name of the element this reader represents.

  Specified by:
    `getLocalName` in interface `MessageReader`
  Returns:

### getNamespace

    public java.lang.String getNamespace()

  Specified by:
    `getNamespace` in interface `MessageReader`
  Returns:

### getXMLStreamReader

    public javax.xml.stream.XMLStreamReader getXMLStreamReader()

### hasMoreAttributeReaders

    public boolean hasMoreAttributeReaders()

  Specified by:
    `hasMoreAttributeReaders` in interface `MessageReader`

### getNextAttributeReader

    public MessageReader getNextAttributeReader()

  Specified by:
    `getNextAttributeReader` in interface `MessageReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.